define("ember-cli-jquery-ui", ["ember-cli-jquery-ui/index","exports"], function(__index__, __exports__) {
  "use strict";
  Object.keys(__index__).forEach(function(key){
    __exports__[key] = __index__[key];
  });
});

define('ember-cli-jquery-ui/components/jqui-accordion/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend(jquiWidget['default'], {
        uiType: 'accordion',
        uiOptions: ['active', 'animate', 'collapsible', 'disabled', 'event', 'header', 'heightStyle', 'icons'],
        uiEvents: ['activate', 'beforeActivate', 'create']
    });

});
define('ember-cli-jquery-ui/components/jqui-autocomplete/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].TextField.extend(jquiWidget['default'], {
        uiType: 'autocomplete',
        uiOptions: ['autofocus', 'delay', 'disabled', 'minLength', 'position', 'source'  ],
        uiEvents: ['close', 'search']
    });

});
define('ember-cli-jquery-ui/components/jqui-button/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend(jquiWidget['default'], {
        uiType: 'button',
        uiOptions: ['disabled'],
        uiEvents: [],
        tagName: 'button',
        disabled: false,
        icon: "",

        didInsertElement: function() {
            var _this = this;
            Ember['default'].run.next(function() {
                _this.$().button("option", "icons", {
                    primary: _this.get('icon')
                });
            });
        },

        click: function() {
            this.sendAction();
        }
    });

});
define('ember-cli-jquery-ui/components/jqui-datepicker/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

  'use strict';

  exports['default'] = Ember['default'].TextField.extend(jquiWidget['default'], {
    uiType: 'datepicker',
    uiOptions: ["altField", "altFormat", "appendText", "autoSize",
      "beforeShow", "beforeShowDay", "buttonImage", "buttonImageOnly",
      "buttonText", "calculateWeek", "changeMonth", "changeYear", "closeText",
      "constrainInput", "currentText", "dateFormat", "dayNames", "dayNamesMin",
      "dayNamesShort", "defaultDate", "duration", "firstDay", "gotoCurrent",
      "hideIfNoPrevNext", "isRTL", "maxDate", "minDate", "monthNames",
      "monthNamesShort", "navigationAsDateFormat", "nextText", "numberOfMonths",
      "onChangeMonthYear", "onClose", "onSelect", "prevText",
      "selectOtherMonths", "shortYearCutoff", "showAnim", "showButtonPanel",
      "showCurrentAtPos", "showMonthAfterYear", "showOn", "showOptions",
      "showOtherMonths", "showWeek", "stepMonths", "weekHeader", "yearRange",
      "yearSuffix"],
    uiEvents: ['onChangeMonthYear', 'onClose', 'onSelect']
  });

});
define('ember-cli-jquery-ui/components/jqui-menu/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend(jquiWidget['default'], {
        uiType: 'menu',
        uiOptions: ['disabled'],
        uiEvents: ['blur', 'create', 'focus', 'select']
    });

});
define('ember-cli-jquery-ui/components/jqui-progress-bar/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend(jquiWidget['default'], {
        uiType: 'progressbar',
        uiOptions: ['value', 'max'],
        uiEvents: ['change', 'complete']
    });

});
define('ember-cli-jquery-ui/components/jqui-slider/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend(jquiWidget['default'], {
        uiType: 'slider',
        uiOptions: ['animate', 'disabled', 'max', 'min', 'orientation', 'range', 'step', 'value', 'values'  ],
        uiEvents: ['change', 'create', 'slide', 'start', 'stop'],
        uiActions: {
            slide: function(event, ui) {
                this.set('value', ui.value);
                this.set('values', ui.values);
            }
        }
    });

});
define('ember-cli-jquery-ui/components/jqui-spinner/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].TextField.extend(jquiWidget['default'], {
        uiType: 'spinner',
        uiOptions: ['culture', 'disabled', 'incremental', 'max', 'min', 'numberFormat', 'page', 'step'],
        uiEvents: ['change', 'create', 'spin', 'start', 'stop']
    });

});
define('ember-cli-jquery-ui/components/jqui-tabs/component', ['exports', 'ember', 'ember-cli-jquery-ui/mixins/jqui-widget'], function (exports, Ember, jquiWidget) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend(jquiWidget['default'], {
        uiType: 'tabs',
        uiOptions: ['active', 'collapsible', 'disabled', 'event', 'heightStyle', 'hide', 'show'],
        uiEvents: ['activate', 'beforeActivate', 'beforeLoad', 'create', 'load'],

        uiActions: {
            // Hacky workaround for bug in JQuery UI Tabs _isLocal method
            // Source: http://stackoverflow.com/questions/13837304/jquery-ui-non-ajax-tab-loading-whole-website-into-itself
            create: function(event){
                var $ = Ember['default'].$;
                var tabsData = $(event.target).data('ui-tabs');
                tabsData.anchors.each(function(idx, anchor){
                    var contentId = $(anchor).attr('href');
                    var $panel = $(tabsData.panels[idx]);
                    $panel.html($(contentId).remove().html());
                });
            },
            beforeLoad: function(event){
                event.preventDefault();
            }
        }
    });

});
define('ember-cli-jquery-ui/mixins/jqui-widget', ['exports', 'ember'], function (exports, Ember) {

    'use strict';

    exports['default'] = Ember['default'].Mixin.create({

        // When Ember creates the view's DOM element, it will call this
        // method.
        setup: function() {
            var _this = this;
            Ember['default'].run.scheduleOnce('afterRender', function() {

                // Make jQuery UI options available as Ember properties
                var options = _this._gatherOptions();

                // Make sure that jQuery UI events trigger methods on this view.
                _this._gatherEvents(options);

                // Workaround for bug in jQuery UI datepicker
                var ui;
                var uiType = _this.get('uiType');
                if (typeof Ember['default'].$.ui[uiType] !== "function") {
                    ui = _this.$(uiType)['widget'];
                } else {

                    // Create a new instance of the jQuery UI widget based on its `uiType`
                    // and the current element.
                    ui = Ember['default'].$.ui[_this.get('uiType')](options, _this.get('element'));
                }

                // Save off the instance of the jQuery UI widget as the `ui` property
                // on this Ember view.
                _this.set('ui', ui);

            });
        }.on('didInsertElement'),

        // When Ember tears down the view's DOM element, it will call
        // this method.
        tearDown: function() {
            var ui = this.get('ui');

            if (ui) {
                // Tear down any observers that were created to make jQuery UI
                // options available as Ember properties.
                var observers = this._observers;
                for (var prop in observers) {
                    if (observers.hasOwnProperty(prop)) {
                        this.removeObserver(prop, observers[prop]);
                    }
                }
                ui._destroy();
            }
        }.on('willDestroyElement'),

        // Each jQuery UI widget has a series of options that can be configured.
        // For instance, to disable a button, you call
        // `button.options('disabled', true)` in jQuery UI. To make this compatible
        // with Ember bindings, any time the Ember property for a
        // given jQuery UI option changes, we update the jQuery UI widget.
        _gatherOptions: function() {
            var uiOptions = this.get('uiOptions'), options = {};

            // The view can specify a list of jQuery UI options that should be treated
            // as Ember properties.
            uiOptions.forEach(function(key) {
                options[key] = this.get(key);

                // Set up an observer on the Ember property. When it changes,
                // call jQuery UI's `option` method to reflect the property onto
                // the jQuery UI widget.
                var observer = function() {
                    var value = this.get(key);
                    this.get('ui').option(key, value);
                };
                this.addObserver(key, observer);

                // Insert the observer in a Hash so we can remove it later.
                this._observers = this._observers || {};
                this._observers[key] = observer;
            }, this);
            return options;
        },

        // Each jQuery UI widget has a number of custom events that they can
        // trigger. For instance, the progressbar widget triggers a `complete`
        // event when the progress bar finishes. Make these events behave like
        // normal Ember events. For instance, a subclass of JQ.ProgressBar
        // could implement the `complete` method to be notified when the jQuery
        // UI widget triggered the event.
        _gatherEvents: function(options) {
            var uiEvents = this.get('uiEvents') || [], self = this;
            uiEvents.forEach(function(eventName) {
                var callback = self.uiActions && self.uiActions[eventName];

                // You can register a handler for a jQuery UI event by passing
                // it in along with the creation options. Update the options hash
                // to include any event callbacks.
                options[eventName] = function(event, ui) {
                    if (callback) {
                        callback.call(self, event, ui);
                    }

                    self.sendAction(eventName, event, ui);
                };
            });
        }
    });

});//# sourceMappingURL=addons.map